org.apache.hive.jdbc

## Class ZooKeeperHiveClientException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.hive.jdbc.ZooKeeperHiveClientException

All Implemented Interfaces:
  Serializable

    public class ZooKeeperHiveClientException
    extends Exception

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ZooKeeperHiveClientException(String msg)`
`ZooKeeperHiveClientException(String msg, Throwable cause)`
`ZooKeeperHiveClientException(Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ZooKeeperHiveClientException

    public ZooKeeperHiveClientException(Throwable cause)

Parameters:
  `cause` - (original exception)

#### ZooKeeperHiveClientException

    public ZooKeeperHiveClientException(String msg)

Parameters:
  `msg` - (exception message)

#### ZooKeeperHiveClientException

    public ZooKeeperHiveClientException(String msg,
                                        Throwable cause)

Parameters:
  `msg` - (exception message)
  `cause` - (original exception)